<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.indexES.mapper.BaseindexdataMapper">

  <resultMap id="baseindexdataMap" type="com.elephant.framework.galaxy.aroad.module.indexES.entity.Baseindexdata">
        <id property="id" column="id"/>
        <result property="indexName" column="index_name"/>
        <result property="indexType" column="index_type"/>
        <result property="createTime" column="create_time"/>
        <result property="beizhu" column="beizhu"/>
  </resultMap>
    
    <select id="selectLatesByTableName" resultMap="baseindexdataMap">
        select index_name,index_type,create_time from baseindexdata
        where create_time =(select max(create_time) from baseindexdata where index_name =#{name})
    </select>
</mapper>
